@extends('layouts/main')
@section('page_title')Donation | Apply Now for Staff Nurse & Doctors Job in India at NU Hospitals
@endsection
@section('page_description')Get a chance to build your career with NU Hospitals, we provide tremendous opportunities to
our students to explore, with extensive practical sessions. Visit here for current openings.
@endsection
@section('canonical')https://www.nuhospitals.com/ @endsection
@section('content')
@section('customcss')
<style type="text/css">
.addressbox {
    border: 0px solid;
    margin: 0rem .5rem;
}

@media (min-width: 786px) {
    .addressbox p {
        padding: 0rem 2rem;
    }

    .addressbox h4 {
        padding: 0rem 2rem;
    }
}
</style>
@endsection

<!-- Banner Starts -->
<section class="section donate-banner-section">
    <div class="container-fluid">
        <div class="col-md-12 banner-content text-right">
            <h1>Support our campaigns for a
                <br>healthy cause
            </h1>
            <a href="#donation-form-section" class="btn btn-primary btn-rounded mt-3">Donate Now</a>
        </div>
    </div>
</section>
<!-- Banner Ends -->

<!-- Pediatric Section Starts -->

<!-- Education Section Ends -->

<!-- Donate Section Starts -->
<section class="section home-donation-section">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12 section-title text-center">
                <h2>Support Our Campaigns</h2>
            </div>
        </div>
        <div class="row">
            <div class="col-md-3">
                <div class="col-md-12 home-donation-content-wrapper">
                    <img src="https://nutrust.org/img/donation-images/Pediatric kidney-Transplant.png" alt=""
                        width="100%">
                    <div class="col-md-12 home-donation-content">
                        <h4>Paediatric Kidney Transplant</h4>
                        <p>A child weighing more than 10 kg can get an adult kidney, as long as the kidney fits in their
                            body.</p>

                        <div class="text-center mt-5">
                            <a href="https://nutrust.org/paediatric-kidney-transplant"
                                class="btn btn-primary btn-rounded mt-4">Donate Now</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="col-md-12 home-donation-content-wrapper">
                    <img src="https://nutrust.org/img/donation-images/Adult-Kidney-Transplant-1.png" alt="" width="100%">
                    <div class="col-md-12 home-donation-content">
                        <h4>Adult Kidney Transplant</h4>
                        <p> Renal transplant is carried out for patients with end-stage renal failure that is when the
                            kidney function is irreversibly reduced to below 15% of normal.
                        </p>

                        <div class="text-center mt-5">
                            <a href="https://nutrust.org/adult-kidney-transplant"
                                class="btn btn-primary btn-rounded">Donate Now</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="col-md-12 home-donation-content-wrapper">
                    <img src="https://nutrust.org/img/donation-images/uro-gental.png" alt="" width="100%">
                    <div class="col-md-12 home-donation-content">
                        <h4>Paediatric Uro-genital abnormalities</h4>
                        <p>Paediatric urogenital disorders can affect the urinary tract or reproductive organs in
                            children. If not corrected on time, these conditions may lead to significant mental, social
                            and disability issues.
                        </p>

                        <div class="text-center">
                            <a href="https://nutrust.org/paediatric-uro-genital-abnormalities"
                                class="btn btn-primary btn-rounded">Donate Now</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="col-md-12 home-donation-content-wrapper">
                    <img src="https://nutrust.org/img/donation-images/Education-for-children-1.png" alt="" width="100%">
                    <div class="col-md-12 home-donation-content">
                        <h4>Education for Children</h4>
                        <p> A good quality education helps children reach their full potential however, for millions of
                            children and youth, it is beyond reach.
                        </p>

                        <div class="text-center mt-5">
                            <a href="https://nutrust.org/education-for-children"
                                class="btn btn-primary btn-rounded">Donate Now</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<section class="mt-5">
    <div class="container">
        <div class="row">
            <div class="col-md-12 text-center">
                <h2>DONATE TO SAVE LIVES / GIVE THE GIFT OF HEALTH</h2>
                <p>Our campaigns are focused on treating and curing a wide range of simple and complex
                    Nephrology-Urology related diseases in children and adults from poor socio-economic status. And with
                    a little bit of your help, we can make a huge difference in the lives of many who cannot afford
                    quality care from the experts. </p>
                <a href="#donation-form-section" class="donate-text">Make Your Donation Now</a>
                <p class="text-center">"NU Trust is recognized under Section 80(5)(vi) of the Indian Income Tax Act,
                    1961, for tax exemption"
                </p>
            </div>
        </div>
    </div>
</section>


<section class="mt-5 mb-5">
    <div class="container">
        <div class="row">
            <div class="col-xs-12 w-100">
              

                <div class="modal fade" id="myModal" role="dialog">
                    <div class="modal-dialog">
                    
                    <!-- Modal content-->
                    <div class="modal-content">
                        <div class="modal-header">
                        <h4 class="modal-title">Payment Gateway Response</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        </div>
                        <div class="modal-body">
                            <p style="color:green;">Thank You for your donations.</p>
                            <p style="color:green;">Your Payment was Successful.</p>
                            <p style="color:green;">Please check your email for tax certificate.</p>

                            <p>
                                <b>For any assistance:</b><br/>
                                <b>Contact No: 080-46699921</b><br/>
                                <b>Email id: accounts1@nuhospitals.com</b>
                            </p>
                                        
                        </div>
                        <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                    
                    </div>
                </div>
                    

            </div>
        </div>
    </div>
    </div>
    </div>
</section>
<!-- Form Section Ends -->
@endsection
<link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.0/jquery.min.js"></script>
<script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>
<script>
$(window).load(function()
{
    $('#myModal').modal('show');
});
</script>