@extends('layouts/main')
@section('page_title')Donation | Apply Now for Staff Nurse & Doctors Job in India at NU Hospitals
@endsection
@section('page_description')Get a chance to build your career with NU Hospitals, we provide tremendous opportunities to our students to explore, with extensive practical sessions. Visit here for current openings.
@endsection
@section('canonical')https://www.nuhospitals.com/ @endsection
@section('content')
@section('customcss')
<style type="text/css">
  .addressbox {
    border: 0px solid;
    margin: 0rem .5rem;
  }

  @media (min-width: 786px) {
    .addressbox p {
      padding: 0rem 2rem;
    }

    .addressbox h4 {
      padding: 0rem 2rem;
    }
  }
  section,.content-wrapper,footer{
      float:left;
      width:100%;
  }
  .donation-img-wrapper{
    box-shadow: 0px 0px 30px rgb(127 137 161 / 25%);
    padding:10px;
  }
  .donation-img-wrapper img{
      width:100%;
  }
  .facebook,.facebook:hover{
    background:#1b74e4;
    border-color:#1b74e4;
  }
</style>
@endsection


<!-- Pediatric Section Starts -->
<section class="content-wrapper py-5">
  <div class="container">
    <div class="row">
        <div class="col-md-6">
            <div class="donation-img-wrapper">
                <img src="/img/donation-images/Congital-Bannners.png" alt="">
            </div>
        </div>
        <div class="col-md-6">
        <h2>Paediatric Uro-Genital Abnormalities</h2>
        <p class="text-center">Some of the correctable Paediatric Uro-genital abnormalities such as:
</p>

  <p> <b>Pelvi-ureteric junction obstruction (PUJO):</b> Blockage of the flow of urine in the area where the ureter meets the kidney
</p>
<p><b>Vesicoureteric Reflux (VUR):</b> Condition in which the urine from bladder reverses  backs up into the ureter
</p>
<p><b>Posterior urethral valve (PUV):</b> An abnormal fold of tissue causing obstruction to urine flow. These children suffer significant damage to kidney and bladder when not managed adequately at an early age. 
</p>
<p><b>Undescended testis:</b> A condition where one or both testes fails to descend into the scrotum. This can lead to fertility issues in future and a very remote possibility of developing cancer in such undescended testis if not treated at the right age.
</p>
<p><b>Hypospadias:</b> A condition where urinary opening is on the underside of the penis rather than at the tip
</p>
<p><b>Exstrophy- Epispadias:</b> This is a very serious form of birth defect where the bladder (urine storing organ) and the tube carrying the urine (urethra) are exposed to outside leading to </p>

<p>severe inability to hold urine. Bladder exstrophy itself also has a range of severity and, in addition to the abnormalities in the bladder, genitals and pelvic bones, may include defects in the intestines and reproductive organs.<br>Paediatric urogenital disorders can affect the urinary tract (kidneys, ureters, bladder, urethra) or reproductive organs (genitals) in children, hampering their chance at a healthy future. These corrective surgeries can help them regain their health, confidence and happiness.
</p>
<a href="/donation?donation_towards=Paediatric Uro-Genital Abnormalities#donation-form-section" class="btn btn-primary btn-rounded mt-3">Donate Now</a>
<a href="http://www.facebook.com/sharer/sharer.php?u=https://nutrust.org/donations/paediatric-uro-genital-abnormalities" class="btn btn-primary btn-rounded mt-3 facebook" target="_blank"><span class="share-btn facebook"><i class="fa fa-facebook-f"></i> Share</span></a>
        </div>
    </div>
  </div>
</section>


<!-- Education Section Ends -->

<!-- Donate Section Starts -->
<!-- <section class="">
  <div class="container">
    <div class="row">
      <div class="col-md-12 text-center">
        <h2>DONATE TO SAVE LIVES / GIVE THE GIFT OF HEALTH</h2>
        <p>Our campaigns are focused on treating and curing a wide range of simple and complex Nephrology-Urology related diseases in children and adults from poor socio-economic status.  And with a little bit of your help, we can make a huge difference in the lives of many who cannot afford quality care from the experts. </p>
        <a href="#donation-form-section" class="donate-text">Make Your Donation Now</a>
      </div>
    </div>
  </div>
</section> -->
<!-- Donate Section Ends -->
<!-- <section class="">
  <div class="container">
    <div class="row">
      <div class="col-md-12">
 <p class="text-center">"NU Trust is recognized under Section 80(5)(vi) of the Indian Income Tax Act, 1961, for tax exemption"
</p>
</div></div></div></section> -->
<!-- Form Section Starts -->

<!-- Form Section Ends -->


@endsection
@section('customjs')

@endsection