@extends('layouts/main')
@section('page_title')Donation | Apply Now for Staff Nurse & Doctors Job in India at NU Hospitals
@endsection
@section('page_description')Get a chance to build your career with NU Hospitals, we provide tremendous opportunities to our students to explore, with extensive practical sessions. Visit here for current openings.
@endsection
@section('canonical')https://www.nuhospitals.com/ @endsection
@section('content')
@section('customcss')
<style type="text/css">
  .addressbox {
    border: 0px solid;
    margin: 0rem .5rem;
  }

  @media (min-width: 786px) {
    .addressbox p {
      padding: 0rem 2rem;
    }

    .addressbox h4 {
      padding: 0rem 2rem;
    }
  }
</style>
@endsection

<!-- Banner Starts -->
<section class="section donate-banner-section-education-children">
  <div class="container-fluid">
    <div class="col-md-12 banner-content text-right">
      <h1>Support our campaigns for a
        <br>healthy cause</h1>
      <a href="#donation-form-section" class="btn btn-primary btn-rounded mt-3">Donate Now</a>
    </div>
  </div>
</section>
<!-- Banner Ends -->

<!-- Pediatric Section Starts -->
<section class="">
  <div class="container">
    <div class="row">

      <div class="col-md-12 p-5 text-center">
        <h2>EDUCATION FOR CHILDREN</h2>
        <p>We believe that every child is gifted with a special ability. It is our responsible duty to provide them educational opportunities at the right time for them to succeed. We help children unlock their potential and make their dreams into reality. We provide financial assistance to support the child’s education. </p>

        <a href="#donation-form-section" class="btn btn-primary btn-rounded mt-3">Donate Now</a>
      </div>
     

    </div>
  </div>
</section>
<!-- Pediatric Section Ends -->

<!-- Adult Section Starts -->

<!-- Education Section Ends -->

<!-- Donate Section Starts -->
<section class="">
  <div class="container">
    <div class="row">
      <div class="col-md-12 text-center">
        <h2>DONATE TO SAVE LIVES / GIVE THE GIFT OF HEALTH</h2>
        <p>Our campaigns are focused on treating and curing a wide range of simple and complex Nephrology-Urology related diseases in children and adults from poor socio-economic status.  And with a little bit of your help, we can make a huge difference in the lives of many who cannot afford quality care from the experts. </p>
        <a href="#donation-form-section" class="donate-text">Make Your Donation Now</a>
      </div>
    </div>
  </div>
</section>
<!-- Donate Section Ends -->
<section class="">
  <div class="container">
    <div class="row">
      <div class="col-md-12">
 <p class="text-center">"NU Trust is recognized under Section 80(5)(vi) of the Indian Income Tax Act, 1961, for tax exemption"
</p>
</div></div></div></section>
<!-- Form Section Starts -->
<section class="" id="donation-form-section">
  <div class="container">
    <div class="row">
      <div class="col-md-4 donate-form-menu text-center personal-info-menu donate-border-red">
        <img src="{{ url('img/donation-images/personal-info-red-icon.png') }}" alt="" width="100px">
        <h5>Personal Info</h5>
      </div>
      <div class="col-md-4 donate-form-menu text-center dontaion-menu donate-border-grey">
        <img src="{{ url('img/donation-images/donation-red-icon.png') }}" alt="" width="100px">
        <h5>Donation</h5>
      </div>
      <div class="col-md-4 donate-form-menu text-center finish-menu donate-border-grey">
        <img src="{{ url('img/donation-images/finish-red-icon.png') }}" alt="" width="100px">
        <h5>Finish</h5>
      </div>
    </div>

    <form action="#" method="post" id="donation-form">

      <!--  Step 1 Starts -->
      <div class="row step-1">

        <div class="col-md-6">
          <div class="form-group donate-group">
            <label for="first_name">First Name</label>
            <input type="text" name="first_name" id="first_name" placeholder="Enter First Name" class="form-control donate-control input-lg" required="required">
          </div>
        </div>
        <div class="col-md-6">
          <div class="form-group donate-group">
            <label for="last_name">Last Name</label>
            <input type="text" name="last_name" id="last_name" placeholder="Enter Last Name" class="form-control donate-control input-lg" required="required">
          </div>
        </div>

        <div class="col-md-6">
          <div class="form-group donate-group">
            <label for="donate_email">Email</label>
            <input type="email" name="donate_email" id="donate_email" placeholder="Enter Email" class="form-control donate-control input-lg" required="required">
          </div>
        </div>
        <div class="col-md-6">
          <div class="form-group donate-group">
            <label for="country_code">Country Code</label>
            <select name="country_code" id="country_code" class="form-control donate-control input-lg">
              <option value="+91">+91</option>
              <option value="+91">+91</option>
              <option value="+91">+91</option>
              <option value="+91">+91</option>
              <option value="+91">+91</option>
              <option value="+91">+91</option>
              <option value="+91">+91</option>
              <option value="+91">+91</option>
              <option value="+91">+91</option>
              <option value="+91">+91</option>
            </select>
          </div>
        </div>

        <div class="col-md-6">
          <div class="form-group donate-group">
            <label for="phone_number">Phone Number</label>
            <input type="text" name="phone_number" id="phone_number" placeholder="Enter Phone Number" class="form-control donate-control input-lg" required="required">
          </div>
        </div>

        <div class="col-md-12 text-center">
          <div class="form-group donate-group">
            <a href="#" class="btn btn-primary btn-rounded btn-donate-one">Continue</a>
          </div>
        </div>

      </div>
      <!-- Step 1 Ends -->

      <!--  Step 2 Starts -->
      <div class="row step-2">

        <div class="col-md-6">
          <div class="form-group donate-group">
            <label for="donation_amount">Donation Amount</label>
            <input type="text" name="donation_amount" id="donation_amount" placeholder="Enter Donation Amount" class="form-control donate-control input-lg" required="required">
          </div>
        </div>
        <div class="col-md-6">
          <div class="form-group donate-group">
            <label for="pan_card_number">Pan Card Number</label>
            <input type="text" name="pan_card_number" id="pan_card_number" placeholder="Enter Pan Card Number" class="form-control donate-control input-lg" required="required">
          </div>
        </div>

        <div class="col-md-6">
          <div class="form-group donate-group">
            <label for="Currency">Currency</label>
            <select name="country_code" id="Currency" class="form-control donate-control input-lg" placeholder="Select Currency" required="required">
              <option value="INR">Indian Rupee</option>
              <option value="INR">Indian Rupee</option>
              <option value="INR">Indian Rupee</option>
              <option value="INR">Indian Rupee</option>
              <option value="INR">Indian Rupee</option>
              <option value="INR">Indian Rupee</option>
              <option value="INR">Indian Rupee</option>
              <option value="INR">Indian Rupee</option>
            </select>
          </div>
        </div>

        <div class="col-md-6">
          <div class="form-group donate-group">
            <label for="certificate_name">Your Name as it will appear on the certificate</label>
            <input type="text" name="certificate_name" id="certificate_name" placeholder="Enter Your Name" class="form-control donate-control input-lg" required="required">
          </div>
        </div>

        <div class="col-md-6">
          <div class="form-group donate-group">
            <label for="recepient_name">Recepient Name</label>
            <input type="text" name="recepient_name" id="recepient_name" placeholder="Enter Recepient Name" class="form-control donate-control input-lg" required="required">
          </div>
        </div>

        <div class="col-md-6">
          <div class="form-group donate-group">
            <label for="personal_message">Personal Message</label>
            <textarea name="personal_message" id="personal_message" class="form-control donate-control input-lg" placeholder="Enter your personal message here" rows="1"></textarea>
          </div>
        </div>

        <div class="col-md-12 text-center">
          <div class="form-group donate-group">
            <a href="#" class="btn btn-primary btn-rounded btn-donate-two">Continue</a>
          </div>
        </div>

      </div>
      <!-- Step 2 Ends -->

      <!--  Step 3 Starts -->
      <div class="row step-3">
        <div class="col-md-12 text-center">
          <h3 class="text-danger">Your Transaction was successfully done, Thank you.</h3>
        </div>
      </div>
      <!-- Step 3 Ends -->
    </form>





  </div>
</section>
<!-- Form Section Ends -->


@endsection
@section('customjs')

@endsection