@extends('layouts/main')
@section('page_title')Careers | Apply Now for Staff Nurse & Doctors Job in India at NU Hospitals
 @endsection
@section('page_description')Get a chance to build your career with NU Hospitals, we provide tremendous opportunities to our students to explore, with extensive practical sessions. Visit here for current openings.
 @endsection
@section('canonical')https://www.nuhospitals.com/ @endsection
@section('content')

@section('title')
{{trans('Best Urology Treatment Hospital Padmanabhanagar| Bangalore')}}
@stop
@section('description', 'Nu Trust Hospital is the best urology hospital in Bangalore, India with experienced top urologists providing urology treatment & kidney specialist treatment.')
@section('keywords', 'Best Urology Hospital Bangalore, Best Urology Treatment Hospital Bangalore, Best Urology Hospital Padmanabhanagar, Best Urology Treatment Hospital Padmanabhanagar')
<!--==========================
    Hero Section
  ============================-->
  <section class="wow fadeIn" id="get-started">
    <div id="carousel-example-generic" class="carousel slide" data-ride="carousel">

              <div class="carousel-inner" role="listbox">

                <div class="carousel-item  active">
                  <img src="{{ url('img/banner/Web-Banner_Urology.jpg') }}" class="w-100">
                </div>

              </div>

            </div>
            <div class="strip"><span>"NU Trust is recognized under Section 80(5)(vi) of the Indian Income Tax Act, 1961, for tax exemption"</span></div>
  </section><!-- #hero -->
  <!--==========================
    Get Started Section
  ============================-->
  <section id="get-started" class="padd-section wow fadeInUp">

    <div class="container">

      <div class="section-title">

        <h2 class=" text-center">UROLOGY</h2>
        <p>Urology deals with diagnosing and treating problems medically or surgically involving the male and female urinary tract and the male reproductive organs. NU Urology department has full-time subspecialty specific urology consultants who deliver the expert care individualized to the needs of the patient.</p>

      </div>
    </div>

    <div class="container">
      <div class="row">
        <div class="accordion w-100" id="accordionExample">
          <div class="card">
            <div class="card-header" id="headingOne">
              <h4 class="mb-0" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                <span class="">
                  Laparoscopic Urology
                </span>
              </h4>
            </div>

            <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
              <div class="card-body">
                <p>Minimally invasive surgery, also known as laparoscopic or keyhole surgery is a procedure that uses a small telescope with built-in magnification mechanism and a variety of thin surgical instruments.<br>
                The advantages are smaller skin scars, lesser post-operative pain, less blood loss during surgery and early recovery to work. Hence the need for extra medications in the post-operative period comes down significantly after laparoscopic surgery.<br>
                Laparoscopic surgeries are commonly done for the problems involving kidney, adrenal gland, ureter, bladder and prostate.</p>

              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-header" id="headingTwo">
              <h4 class="mb-0" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                <span class="collapsed">
                 Paediatric Urology
                </span>
              </h4>
            </div>
            <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
              <div class="card-body">
                <p>Paediatric Urology is a surgical subspecialty that deals with issues of children’s genitourinary system. We offer specialized care for the entire spectrum of paediatric urologic and disorders. We have dedicated special rooms for children to make them as comfortable as possible.<br>
                <b>NU Bedwetting clinic is one of the first in India. Among the pediatric conditions treated include:</b></p>
                <ul>
                    <li>Structural abnormalities of the kidney, ureter and bladder such as PUJ obstruction, vesicoureteric reflux (VUR), posterior urethral valve (PUV)</li>
                    <li>Urinary tract infection (UTI)</li>
                    <li>Kidney stones and tumours</li>
                    <li>Blood in urine (Hematuria)</li>
                    <li>Undescended testis</li>
                </ul>
                <p>We were the first in Karnataka state to use the latest miniature endoscopes to deal with kidney stones in very young children. We have also collaborated with international hospitals in USA and Iceland for evaluation of kidney stones in very young children to offer the best possible care.</p>

              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-header" id="headingThree">
              <h4 class="mb-0" data-toggle="collapse" data-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                <span class="collapsed">
                  Reconstructive Urology
                </span>
              </h4>
            </div>
            <div id="collapseThree" class="collapse" aria-labelledby="headingThree" data-parent="#accordionExample">
              <div class="card-body">
                <p>Reconstructive urology deals with reconstructing any part of the urinary system to maintain a safe urinary system. Urethral stricture is very common condition which needs reconstruction for a good urinary flow and to prevent complications like infection and kidney failure.<br>
                Persistent urinary leakage could be due to several reasons. Reconstructing the sphincter surgically by placing an artificial urinary sphincter or placing mid-urethral slings for stress urinary leak could make a significant positive impact on quality of life.</p>
              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-header" id="heading4">
              <h4 class="mb-0" data-toggle="collapse" data-target="#collapse4" aria-expanded="false" aria-controls="collapse4">
                <span class="collapsed">
                  Uro Oncology
                </span>
              </h4>
            </div>
            <div id="collapse4" class="collapse" aria-labelledby="headingThree" data-parent="#accordionExample">
              <div class="card-body">
                <p>Urological cancers include those of kidney, adrenal gland, ureter, bladder, prostate, penis and testis. Most of the cancers if detected at an early age can make a significant change in the outcomes of the treatment. Timely intervention and surgical expertise matters the most during cancer treatment.<br>
                With a multidisciplinary team of specialists in medical and surgical aspects of Uro-oncology, we have been successful in offering curative therapy for many of our cancer patients with a good quality of life.</p>
              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-header" id="heading5">
              <h4 class="mb-0" data-toggle="collapse" data-target="#collapse5" aria-expanded="false" aria-controls="collapse5">
                <span class="collapsed">
                  Neuro-urology & Urodynamics
                </span>
              </h4>
            </div>
            <div id="collapse5" class="collapse" aria-labelledby="heading5" data-parent="#accordionExample">
              <div class="card-body">
                <p>Neuro-urology focuses mainly on the disorders of bladder related to spinal injuries and neurological disorders, more commonly referred to as neurogenic bladder.<br>
                Urodynamics test is a computer assisted study done to assess the pressures in the bladder and sphincter in various clinical conditions. The objective of urodynamic study is to help in the selection of an appropriate treatment. This is done for both men and women. It is commonly done when there is urinary leakage, obstruction due to prostate enlargement, repeated urinary infections or sometimes when there is lot of residual urine in bladder.</p>
              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-header" id="heading6">
              <h4 class="mb-0" data-toggle="collapse" data-target="#collapse6" aria-expanded="false" aria-controls="collapse6">
                <span class="collapsed">
                  Endourology
                </span>
              </h4>
            </div>
            <div id="collapse6" class="collapse" aria-labelledby="heading6" data-parent="#accordionExample">
              <div class="card-body">
                <p>Endourology involves usage of small endoscopes and instrumentation to see inside the urinary tract and perform surgery. What distinguishes endourology from traditional urology is that all procedures are done internally, without any extensive skin scars. Endourology is also known as minimally invasive urologic surgery.<br>
                Many urologic operations like kidney stones and prostate surgery that were once done by open surgery can now be performed through the endoscopes. Much of this change has been due to improved technology.<br>
                We have the best endourology armamentarium and necessary expertise to handle them.</p>
              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-header" id="heading7">
              <h4 class="mb-0" data-toggle="collapse" data-target="#collapse7" aria-expanded="false" aria-controls="collapse7">
                <span class="collapsed">
                  Andrology and Men’s Sexual health
                </span>
              </h4>
            </div>
            <div id="collapse7" class="collapse" aria-labelledby="heading7" data-parent="#accordionExample">
              <div class="card-body">
                <p>Andrology is a subspecialty of Urology addressing Men’s Sexual Health and Male Infertility. Some of the common conditions treated include Erectile Dysfunction (ED), Premature Ejaculation, Testosterone (male hormone) deficiency causing low sex drive and abnormalities in semen /sperm preventing the couple from a having a child.<br>
                Our “Men’s Health Clinic” is one of its kind in Souṭh India addressing various men’s urological and reproductive health issues, and is the centre of excellence for penile implant surgery.<br>
                We have internationally trained experts with state-of-the-art technology and equipments (such as surgical microscope and microdoppler) to deliver world class care.</p>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

  </section>

@endsection
@section('customjs')

@endsection
